For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList SenderPools
      • POSTCreate a SenderPool
      • GETFetch a SenderPool
      • DELDelete a SenderPool
      • PATCHUpdate a SenderPool
      • GETList Senders in a SenderPool
      • POSTAdd Senders to a SenderPool
      • DELRemove a Sender from a SenderPool
      • GETList Sender Pool Operations
      • GETFetch a SenderPool Operation
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSender Pools

List SenderPools

GET
https://comms.twilio.com/v1/SenderPools
GET
/v1/SenderPools
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senderPools.list({});
9}
10main();
1{
2 "senderPools": [
3 {
4 "id": "comms_senderpool_01h9krwprkeee8fzqspvwy6nq8",
5 "name": "MarketingCampaignPool",
6 "tags": {
7 "environment": "production",
8 "region": "us-east-1"
9 },
10 "createdAt": "2024-01-15T09:30:00Z",
11 "updatedAt": "2024-04-10T12:45:00Z"
12 }
13 ],
14 "pagination": {
15 "next": "eyJwYWdlIjoxfQ==",
16 "self": "eyJwYWdlIjowfQ=="
17 }
18}
This operation fetches a paginated list of SenderPools.
Was this page helpful?
Previous

Create a SenderPool

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

startDatestringOptionalformat: "date-time"
Filter to SenderPools created after the specified date and time in ISO 8601 format.
endDatestringOptionalformat: "date-time"
Filter to SenderPools created before the specified date and time in ISO 8601 format.
operationIdstringOptionalformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
Filter to SenderPools by SenderPool Operation ID.
pageTokenstringOptional
A page token that represents the start SenderPool of a page
pageSizeintegerOptional1-1000Defaults to 50
Total number of items returned in a single page, the minimum is 1 and maximum is 1000. Default is 50.

Response

OK
senderPoolslist of objects
A list of SenderPools.
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error